package com.goafanti.common.utils;

import java.util.regex.Pattern;

public class StringUtils extends org.apache.commons.lang3.StringUtils {
	private static Pattern FRACTIONAL_NUMERIC = Pattern.compile("^[\\-+]?\\d+(\\.\\d+)?$");

	public static boolean isFractionalNumeric(String val) {
		return FRACTIONAL_NUMERIC.matcher(val).matches();
	}
}
